[id]
type=id

[title]
label=タイトル
type=text
attr=start
size=50
maxlength=50
end_attr=true
rule=start
required=yes
end_rule=true

[name]
label=Data Set Name
type=text
attr=start
size=50
maxlength=50
end_attr=true
rule=start
required=yes
alphanumsymbol=yes
end_rule=true

[application_id]
label=アプリケーション
type=hidden_int
force_value_list=start
_THIS_VALUE=application.id
end_force_value_list=true

[system]
label=DB system
type=select
value=start
sqlite=SQLite
pgsql=PostgreSQL
mysql=MySQL
end_value=true
default_list=start
system=sqlite
end_default_list=true

[dbname]
type=text
label=Database Name
attr=start
size=50
maxlength=50
end_attr=true
rule=start
required=yes
alphanumsymbol=yes
end_rule=true

[path]
label=Path
type=text
attr=start
size=50
maxlength=50
end_attr=true

[host]
label=Host
type=text
attr=start
size=50
maxlength=50
end_attr=true
rule=start
alphanumsymbol=yes
end_rule=true

[port]
label=Port
type=int
attr=start
size=50
maxlength=50
end_attr=true
rule=start
numeric=yes
maxlength=int
minlength=int
end_rule=true

[user]
type=text
label=ユーザー
attr=start
size=50
maxlength=50
end_attr=true

[passowrd]
label=Password
type=text
attr=start
size=50
maxlength=50
end_attr=true
rule=start
alphanumsymbol=yes
end_rule=true

[persistent]
label=Persistent
type=advcheckbox
values=start
0=no
1=yes
end_values=true
default_list=start
0=no
end_default_list=true

[memo]
type=textarea
label=メモ
attr=start
rows=4
cols=50
end_attr=true

[init_when_build]
type=advcheckbox
label=一括初期化対象
values=start
0=no
1=yes
end_values=true
default=1

